<!doctype html>
<html lang="es-cl">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    {% load static %}
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="//cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css">
    <link rel="stylesheet" href="{% static 'css/style.css' %}">
    <title>Registro de mensajes</title>
  </head>
  <body>
    <div class="container">
        <h1>Registro de mensajes</h1>
        {% if messages %}
<ul class="messages">
    {% for message in messages %}
    <div class="alert alert-{% if message.tags == 'error' %}danger{%else%}{{ message.tags }}{% endif %} alert-dismissible fade show" role="alert">
            {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %}Important: {% endif %}
        {{ message }}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
    {% endfor %}
</ul>
{% endif %}
    </div>

    <form action="" method="post" enctype='multipart/form-data'>
        <div class="container">
            {% csrf_token %}
            <div class="form-group">
                <label for="nombre">Nombre</label>
                <input type="text" value="{{mensaje.nombre}}" name="nombre" placeholder="Ingrese su nombre" class="form-control">
            </div>
            <div class="form-group">
                <label for="mensaje">Mensaje</label>
                <textarea name="mensaje" rows="3" class="form-control">{{mensaje.mensaje}}</textarea>
            </div>
            
            {% if mensaje.foto %}
            <div class="form-group">
                <img src="{{mensaje.foto.url}}" width="200" alt="" srcset="">
            </div>
            <div class="form-check">
              <input type="checkbox" name="borrar_foto" class="form-check-input">
              <label for="borrar_foto"  class="form-check-label">Eliminar Foto</label>
            </div>    
            {% endif %}
            <div class="form-group">
                    <label for="foto">Foto</label>
                    <input type="file" accept="image/*" name="foto">
            </div>
            <input type="submit" class="btn btn-primary btn-lg"  value="Guardar">
            {% if mensaje %}
            <a href="{% url 'index' %}" class="btn btn-danger btn-lg">Volver</a>
            {% endif %}
        </div>
    </form>
    <br>
    <div class="container">
            <table class="table" id="tabla">
                    <thead>
                      <tr>
                        <th scope="col">#</th>
                        <th scope="col">Foto</th>
                        <th scope="col">Nombre</th>
                        <th scope="col">Menesaje</th>
                        <th scope="col"></th>
                      </tr>
                    </thead>
                    <tbody>
                        {% for m in mensajes %}
                      <tr>
                          
                        <th scope="row">{{m.id}}</th>
                        {% if m.foto %}
                        <td><img src="{{m.foto.url}}" width="150" alt="" srcset=""></td>
                        {% else %}
                        <td><h4>No foto</h4></td>
                        {% endif %}
                        <td>{{m.nombre}}</td>
                        <td>{{m.mensaje}}</td>
                        <td>
                                <a href="{% url "edit_mensaje" m.id %}" class="btn btn-warning">Editar</a>
                            <a href="{% url "delete_mensaje" m.id %}" class="btn btn-danger">Borrar</a>
                        </td>
                      </tr>
                      {% endfor %}
                     
                    </tbody>
                  </table>
    </div>
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="{% static 'js/jquery-3.4.1.js' %}"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    <script src="//cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"></script>
    <script src="{% static 'js/app.js' %}"></script>
  </body>
</html>